unit uDataModuleProvinciasPoblaciones;

interface

uses
  SysUtils, Classes, uDataModuleBase, uROClient, uRORemoteService;

type
  IDataModuleProvinciasPoblaciones = interface
    ['{E73DB3C4-BC57-44E8-A64B-F86AE2DCB7D6}']
    function DarListaProvincias : TStringList;
    function DarListaPoblaciones (const AID_Provincia : Integer) : TStringList;
  end;

  TDataModuleProvinciasPoblaciones = class(TDataModuleBase, IDataModuleProvinciasPoblaciones)
    RORemoteService: TRORemoteService;
  public
    function DarListaProvincias : TStringList;
    function DarListaPoblaciones (const AID_Provincia : Integer) : TStringList;
  end;

implementation

{$R *.dfm}

uses
  FactuGES_Intf, uStringsUtils, uDataModuleConexion, uROTypes;

{ TDataModuleProvinciasPoblaciones }

function TDataModuleProvinciasPoblaciones.DarListaPoblaciones(
  const AID_Provincia: Integer): TStringList;
var
  ABinary : Binary;
begin
  ABinary := (RORemoteService as IsrvProvinciasPoblaciones).DarListaPoblaciones(AID_Provincia);
  Result := TStringList.Create;
  Result.LoadFromStream(ABinary);
end;

function TDataModuleProvinciasPoblaciones.DarListaProvincias: TStringList;
var
  ABinary : Binary;
begin
  ABinary := (RORemoteService as IsrvProvinciasPoblaciones).DarListaProvincias;
  Result := TStringList.Create;
  Result.LoadFromStream(ABinary);
end;

end.
